# -*- coding: utf-8 -*-
# Generated by Django 1.11.17 on 2021-03-24 15:49
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('customers', '0055_auto_20210311_1113'),
    ]

    operations = [
        migrations.CreateModel(
            name='CalendarioCortes',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('billing_date', models.DateTimeField(blank=True, verbose_name='billing_date')),
            ],
            options={
                'verbose_name': 'Calendario de Cortes',
            },
        ),
        migrations.CreateModel(
            name='HistoricalCalendarioCortes',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created_at', models.DateTimeField(blank=True, editable=False, verbose_name='created at')),
                ('billing_date', models.DateTimeField(blank=True, verbose_name='billing_date')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical Calendario de Cortes',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
        ),
        migrations.RenameField(
            model_name='customer',
            old_name='name',
            new_name='first_name'
        ),
        migrations.RenameField(
            model_name='historicalcustomer',
            old_name='name',
            new_name='first_name'
        ),
        migrations.AddField(
            model_name='customer',
            name='last_name',
            field=models.CharField(max_length=255, null=True, verbose_name='last_name'),
        ),
        migrations.AddField(
            model_name='historicalcustomer',
            name='last_name',
            field=models.CharField(max_length=255, null=True, verbose_name='last_name'),
        ),
    ]

